<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>503.30</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
        integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js"
        integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy"
        crossorigin="anonymous"></script>
</head>
<script>
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
    callAPI = (url, option) => {
        fetch(url, option)
            .then((response) => response.json())
            .then((json) => console.log(json))
            .catch((error) => console.error(error));
    }

    onBtnGetAllOrderClick = () => {
        callAPI(gBASE_URL);
    }

    onCreateOrderClick = () => {
        callAPI(gBASE_URL, {
            method: 'POST',
            body: JSON.stringify({
                kichCo: "M",
                duongKinh: "25",
                suon: "4",
                salad: "300",
                loaiPizza: "HAWAII",
                idVourcher: "16512",
                idLoaiNuocUong: "PEPSI",
                soLuongNuoc: "3",
                hoTen: "Phạm Thanh Bình",
                thanhTien: "200000",
                email: "binhpt001@devcamp.edu.vn",
                soDienThoai: "0865241654",
                diaChi: "Hà Nội",
                loiNhan: "Pizza đế dày"
            }),
            headers: {
                'Content-type': 'application/json; charset=UTF-8',
            },
        })
    }

    onGetOrderByIdClick = () => {
        callAPI(gBASE_URL + '/K7VtSNBL02')
    }
    onUpdateOrderClick = () => {
        callAPI(gBASE_URL + '/K7VtSNBL02', {
                method: 'PUT',
                body: JSON.stringify({
                    trangThai: "confirmed"
                }),
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
            })
    }

    onCheckVoucherIdClick = () => {
        var vVoucherId = "95531"
        callAPI("http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + vVoucherId);
    }

    onGetDrinkListClick = () => {
        callAPI("http://203.171.20.210:8080/devcamp-pizza365/drinks")
    }
</script>

<body class="container">
    <p id="cmt2dev">Test Page for Javascrip Tasks. F5 to run code. </p>
    <div class="">
        <button class="btn btn-info m-1" onclick="onBtnGetAllOrderClick()">Call api get all orders!</button>
        <button class="btn btn-success m-1" onclick="onCreateOrderClick()">Call api create order!</button>
        <button class="btn btn-warning m-1" onclick="onGetOrderByIdClick()">Call api get order by id!</button>
        <button class="btn btn-primary m-1" onclick="onUpdateOrderClick()">Call api update order!</button>
        <button class="btn btn-info m-1" onclick="onCheckVoucherIdClick()">Call api check voucher by id!</button>
        <button class="btn btn-danger m-1" onclick="onGetDrinkListClick()">Call api Get drink list!</button>
    </div>
    <div class="row form-group">
        <p id="testP" class="h4"> Demo 06 API for Pizza 365 Project: </p>
    </div>
    <div class="row form-group">
        <ul>
            <li>get all Orders: lấy tất cả orders </li>
            <li>create Order: tạo 1 order</li>
            <li>get Order by id: lấy 1 order bằng id </li>
            <li>update Order: update 01 order</li>
            <li>check voucher by id: check thông tin mã giảm giá, quan trọng là có hay không, và % giảm giá </li>
            <li>get drink list: lấy danh sách đồ uống</li>
        </ul>
    </div>
    <div class="row form-group">
        <strong class="text-danger"> Bật console log để nhìn rõ output </strong>
    </div>
</body>

</html>